> ## Documentation Index
> Fetch the complete documentation index at: https://docs.promptloop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task

> Retrieves detailed metadata for the task with provided id (inputs, outputs, etc.).



## OpenAPI

````yaml openapi-v0.json get /v0/tasks/{id}
openapi: 3.0.0
info:
  title: API Documentation
  description: API description
  version: '0'
  contact: {}
servers:
  - url: https://api.promptloop.com/
    description: Production API v0
security: []
tags: []
paths:
  /v0/tasks/{id}:
    get:
      tags:
        - Tasks
      summary: Get Task
      description: >-
        Retrieves detailed metadata for the task with provided id (inputs,
        outputs, etc.).
      operationId: TasksController_getTaskFromId
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved task from id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDetailsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    TaskDetailsResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
          example: success
        data:
          $ref: '#/components/schemas/TaskDetailsDto'
        message:
          type: string
        error:
          $ref: '#/components/schemas/ErrorDetailsDto'
      required:
        - status
        - data
        - message
    ErrorResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - error
          example: error
        data:
          type: object
        message:
          type: string
        error:
          $ref: '#/components/schemas/ErrorDetailsDto'
      required:
        - status
        - data
        - message
    TaskDetailsDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        created_at:
          type: string
        live_version:
          type: number
        max_version:
          type: number
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/TaskInputDto'
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/TaskOutputDto'
        run_count:
          type: number
      required:
        - id
        - name
        - description
        - created_at
        - live_version
        - max_version
        - inputs
        - outputs
        - run_count
    ErrorDetailsDto:
      type: object
      properties:
        code:
          type: number
        details:
          type: string
      required:
        - code
        - details
    TaskInputDto:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        description:
          type: string
      required:
        - name
        - type
        - description
    TaskOutputDto:
      type: object
      properties:
        name:
          type: string
      required:
        - name
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````